<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ConsoleMessage](./puppeteer.consolemessage.md) &gt; [(constructor)](./puppeteer.consolemessage._constructor_.md)

## ConsoleMessage.(constructor)

Constructs a new instance of the `ConsoleMessage` class

<b>Signature:</b>

```typescript
constructor(type: ConsoleMessageType, text: string, args: JSHandle[], location?: ConsoleMessageLocation);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | [ConsoleMessageType](./puppeteer.consolemessagetype.md) |  |
|  text | string |  |
|  args | [JSHandle](./puppeteer.jshandle.md)<!-- -->\[\] |  |
|  location | [ConsoleMessageLocation](./puppeteer.consolemessagelocation.md) |  |

